Skip to main content
POST
/
api
/
v1
/
chat
/
{agent_id}
/
threads
Create Chat Thread
curl --request POST \
  --url https://agent-studio.thena.ai/api/v1/chat/{agent_id}/threads \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "metadata": {}
}
'
import requests

url = "https://agent-studio.thena.ai/api/v1/chat/{agent_id}/threads"

payload = {
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"metadata": {}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
metadata: {}
})
};

fetch('https://agent-studio.thena.ai/api/v1/chat/{agent_id}/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "anon_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "messages": [
    {
      "thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "content": "<string>",
      "role": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "content_html": "<string>",
      "tool_calls": [
        {
          "tool_name": "<string>",
          "arguments": {},
          "start_time": "2023-11-07T05:31:56Z",
          "result": {},
          "error": "<string>",
          "end_time": "2023-11-07T05:31:56Z"
        }
      ],
      "attachments": [
        {}
      ],
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "feedback": {
        "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "human_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "ai_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "flow_execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "feedback_type": "<string>",
        "issue_type": "<string>",
        "comment": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Path Parameters

agent_id
string<uuid> | null
required

Body

application/json

Model for creating a new chat thread.

agent_id
string<uuid>
required
title
string
required
metadata
Metadata · object

Response

Successful Response

Model for chat threads.

agent_id
string<uuid>
required
title
string
required
id
string<uuid> | null
user_id
string<uuid> | null
anon_user_id
string<uuid> | null
organization_id
string<uuid> | null
metadata
Metadata · object
created_at
string<date-time> | null
updated_at
string<date-time> | null
messages
ChatMessage · object[] | null